Package org.eclipse.ui.part

# Interface IContributedContentsView

public interface IContributedContentsView
This interface is used to identify workbench views which allow other parts (typically the active part) to supply their contents. The interface allows access to the part which contributed the current contents.

## Method Summary

Modifier and Type
Method
Description
`IWorkbenchPart`
`getContributingPart()`
Returns the workbench part which contributed the current contents of this view.

## Method Details

### getContributingPart

IWorkbenchPart getContributingPart()
Returns the workbench part which contributed the current contents of this view.

Returns:
  the part which contributed the current contents